LFR-FSW - Bug #179

ACQUISITION_TIME a une valeur erronée sur certains produits au bout de plusieurs heures de test
sur I'EM.

26/06/2014 05:49 PM - bruno katra

Status: Closed Start date: 26/06/2014
Priority: Normal Due date:

Assignee: thomas chust % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Probléme observé sur un test de 12 heures en Normal Mode sur I'EM:
Au bout de 8 heures de tests :

03:04:02.892263, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=16220, (PACKET SEQUENCE_CONTROL=0xff5c), PACKET LENGTH=119,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0, TIME=0x80007ffca29¢c, PA_LFR_SID_PKT: SC_N_BP1_FO0 = 14,
PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0,
PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x80007ffca29¢c

le BP1_FO0 suivant devrait étre a environ : 0x80008000a29c
OR

03:04:06.892236, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=16223, (PACKET_SEQUENCE_CONTROL=0xff5f), PACKET_LENGTH=119,
SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0, TIME=0xffff8000a29c, PA_LFR_SID_PKT: SC_N_BP1_F0 = 14,
PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED:
DISABLED =0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED =0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0,
PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x{fff8000a29c,

On retrouve bien la partie 8000a29¢ mais un talon 0xffff est apparu et reste jusqu'a la fin du test

LE BUG TOUCHE LES PRODUITS SUIVANTS AUSSI : CWF_F3, SWF_F0/1/2 ET BP1/2_F0/1 AVEC LE TALON 0x7fff

03:12:52.805511, TM_LFR_SCIENCE_NORMAL_CWF F3, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=348, (PACKET_SEQUENCE_CONTROL=0xc15¢c), PACKET LENGTH=4051,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0, TIME=0x7ffi81c6aea7, PA_LFR_SID_PKT: SC_N_CWF _F3 =1,
PA_BIA_MODE_MUX_SET: SET 0 =0, PA_BIA_MODE_HV_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS1_ENABLED:
ENABLED = 1, PA_BIA_MODE_BIAS2_ENABLED: ENABLED = 1, PA_BIA_MODE_BIAS3_ENABLED: ENABLED = 1,
PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x7f{81c6aea7

NE SONT PAS CONCERNES : BP1/2_F2 ET ASM_F0/1/2

Contexte :
LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

EM 2
Vhdl: mini-Ifr_1.1.23
Brique GRESB
Soft:1.0.0.12 (variante sur carte finale)

Test case : SVS-0043

History

#1 - 26/06/2014 05:55 PM - bruno katra

Essai de reproduire le bug avec EM + stardundee en envoyant TC_LFR_UPDATE_TIME avec un temps antérieur au bug, puis attente de 60
secondes pour passer en non-synchro et voir si le bug se reproduit :
IL SE REPRODUIT

16:31:47.492384, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=81, (PACKET SEQUENCE_CONTROL=0xc051), PACKET LENGTH=119, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x80007ffca884, PA_LFR_SID_PKT: SC_N_BP1_F0 = 14, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x80007ffca884

16:31:51.492559, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=84, (PACKET SEQUENCE_CONTROL=0xc054), PACKET LENGTH=119, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x{fff8000a884, PA_LFR_SID_PKT: SC_N_BP1_F0 = 14, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED =0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0xffff8000a884,

#2 - 26/06/2014 05:56 PM - bruno katra

- Description updated

#3 - 21/07/2014 05:19 PM - Veronique bouzid

En version 2.0.1.0, le bug est corrigé.

Le script simple pour tester ce bug est

14:42:15.95711, TM_LFR_HK, TIME=0x80007ffd6575

14:42:19.257166, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80008000acat
14:42:19.262095, TM_LFR_SCIENCE_NORMAL_BP2_F0, TIME=0x80008000aca1l
14:42:19.357353, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800080009f50
14:42:19.364713, TM_LFR_SCIENCE_NORMAL_BP2_F1, TIME=0x800080009f50
14:42:19.365605, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x80007fffaf7e
14:42:19.957118, TM_LFR_HK, TIME=0x800080016578

14:42:23.257114, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80008004acat
14:42:23.357255, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800080049f50
14:42:23.360121, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x80008003af7e
14:42:23.957128, TM_LFR_HK, TIME=0x80008005657¢c

14:42:27.257105, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80008008aca1l
14:42:27.357227, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800080089f50
14:42:27.361073, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x80008007af7e

Bruno vient de relancer le test SVS-0043 (asm_generation_long_period_Normal.py), soit 12heures de données.

Contexte :

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f
EM 2

Vhdl: mini-Ifr_1.1.23

Brique Star Dundee

Soft:2.0.1.0 (variante sur carte finale)

Test case : SVS-0043

#4 - 21/07/2014 05:20 PM - Veronique bouzid

Veronique bouzid wrote:

En version 2.0.1.0, le bug est corrigé.

Le script simple pour tester ce bug est SCRIPT/timeissue_normal.py.
14:42:15.95711, TM_LFR_HK, TIME=0x80007f{d6575
14:42:19.257166, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80008000aca
14:42:19.262095, TM_LFR_SCIENCE_NORMAL_BP2_F0, TIME=0x80008000aca
14:42:19.357353, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800080009f50
14:42:19.364713, TM_LFR_SCIENCE_NORMAL_BP2_F1, TIME=0x800080009f50
14:42:19.365605, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x80007fffaf7e
14:42:19.957118, TM_LFR_HK, TIME=0x800080016578

14:42:23.257114, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80008004aca
14:42:23.357255, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800080049f50
14:42:23.360121, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x80008003af7e
14:42:23.957128, TM_LFR_HK, TIME=0x80008005657¢

14:42:27.257105, TM_LFR_SCIENCE_NORMAL_BP1_F0, TIME=0x80008008aca
14:42:27.357227, TM_LFR_SCIENCE_NORMAL_BP1_F1, TIME=0x800080089f50
14:42:27.361073, TM_LFR_SCIENCE_NORMAL_BP1_F2, TIME=0x80008007af7e

Bruno vient de relancer le test SVS-0043 (asm_generation_long_period_Normal.py), soit 12heures de données.

Contexte :

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f
EM2

Vhdl: mini-Ifr_1.1.23

Brique Star Dundee

Soft:2.0.1.0 (variante sur carte finale)

Test case : SVS-0043

#5 - 22/07/2014 03:56 PM - Veronique bouzid
- Status changed from New to Closed

- Assignee changed from paul leroy to thomas chust

Le test est rejoué et validé.
La trace se trouve sur bungle dans le repertoire /home/Ifr/SVS/0043.
Le script verif_field.py a ete passé. (Pb dans les Rules de Gérald qui ne passe pas minuit).

Extrait du fichier Detail

02:23:08.118208, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_

TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PI

D 2 =76, PACKET_CATEGORY: PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc

), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=16223, (PACKE

T_SEQUENCE_CONTROL=0xff5f), PACKET_LENGTH=119, SPARE_1=0, PUS_VERSION = 1, SPARE

_2=0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT =3, DESTINATION_ID: GROUND =0,
TIME=0x800080009d30,

02:25:58.10491, TM_LFR_SCIENCE_NORMAL_CWF_F3, CCSDS_VERSION_NUMBER = 0, PACKET_T

YPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID

_2 =76, PACKET_CATEGORY: PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc)

, SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=16380, (PACKET

_SEQUENCE_CONTROL=0xfffc), PACKET_LENGTH=4051, SPARE_1=0, PUS_VERSION = 1, SPARE

_2=0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER =21, SERVICE_SUBTYPE: SCIENCE_REPORT =3, DESTINATION_ID: GROUND =0,
TIME=0x80008022ac5d

et la fin du fichier

05:18:40.108159, TM_LFR_SCIENCE_NORMAL_BP1_F1, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,

DATA _FIELD HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=10322, (PACKET_SEQUENCE_CONTROL=0xe852), PACKET_LENGTH=137, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT = 3, DESTINATION_ID: GROUND = 0,
TIME=0x8000a9248fdf,
